## octave-mapping 1.0.7

=== DESCRIPTION ===
Name: Mapping
Version: 1.0.7
Date: 2009-05-06
Author: Andrew Collier <abcollier@users.sourceforge.net>
Maintainer: The Octave Community
Title: Mapping Functions
Description: Simple Mapping functions. 
Categories: Mathematics
Depends: octave (>= 2.9.7)
License: GPL version 2 or later
Url: http://octave.sf.net

=== debian/changelog ===
octave-mapping (1.0.7-4) unstable; urgency=low

  * Imported Upstream version 1.0.7
  * Bump to debhelper compat level 9
  * Add Sébastien Villemot to the list of Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Tue, 03 Apr 2012 22:33:57 +0200

octave-mapping (1.0.7-3) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571911)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Bump standards version to 3.9.1, no changes needed.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Mon, 18 Apr 2011 21:02:43 +0200

octave-mapping (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 07 Dec 2009 22:05:27 +0100

octave-mapping (1.0.7-1) unstable; urgency=low

  * Initial release. (Closes: #468542)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 15:10:06 +0200

=== debian/control ===
Source: octave-mapping
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/mapping
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-mapping.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-mapping.git

Package: octave-mapping
Architecture: all
Depends: ${misc:Depends},${octave:Depends}
Description: geographical mapping functions for Octave
 This package is simple mapping toolbox for Octave, a numerical
 computation software.  It includes functions for computing angular
 distances and displacements between points on a sphere, as well as
 the great circle azimuth.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave/mapping-(.+)\.tar\.gz

## octave-mapping 1.2.1

=== DESCRIPTION ===
Name: mapping
Version: 1.2.1
Date: 2016-02-06
Author: various authors
Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
Title: Mapping Functions
Description: Simple mapping and GIS .shp and raster file functions.
Categories: Mathematics
Depends: octave (>= 3.8.0)
Suggested: io (>= 2.2.7), geometry (>= 1.4.0), octclip (>= 1.0.3), GDAL
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-mapping (1.2.1-5build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:13:55 +0100

octave-mapping (1.2.1-5build1) focal; urgency=medium

  * No-change rebuild for gdal soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 14:31:08 +0000

octave-mapping (1.2.1-5) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 02 Nov 2019 15:08:23 -0300

octave-mapping (1.2.1-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:32 -0200

octave-mapping (1.2.1-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:33:15 -0200

octave-mapping (1.2.1-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:50 -0200

octave-mapping (1.2.1-1) unstable; urgency=medium

  * Imported Upstream version 1.2.1
  * d/copyright:
    + Use octave-maintainers mailing list as upstream contact
    + Comply with DEP-5
    + Reflect upstream changes
  * d/control:
    + Remove obsolete DM-Upload-Allowed flag
    + Keep only myself in the Uploaders list
    + Bump Standards-Version to 3.9.8
    + Use secure URIs in the Vcs-* fields
    + Reflect upstream changes in package description
    + Add libgdal-dev to Build-Depends
      The package is now arch:any and ${shlibs:Depends} is added to Depends.
  * d/p/autoload-yes.diff: Drop obsolete patch
  * d/s/options: Set the extend-diff-ignore option

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 20 Aug 2016 10:20:54 -0300

=== debian/control ===
Source: octave-mapping
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.7.1),
               libgdal-dev
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/mapping/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-mapping.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-mapping
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-mapping
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: geographical mapping functions for Octave
 This package contains simple mapping and GIS .shp and raster file
 functions for Octave, a numerical computation software.  It includes
 functions for computing angular distances and displacements between
 points on a sphere, as well as the great circle azimuth.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
http://sf.net/octave/mapping-(.+)\.tar\.gz

## octave-mapping 1.4.0

=== debian/changelog ===
octave-mapping (1.4.0-2build1) groovy; urgency=medium

  * No-change rebuild against libgdal27

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jun 2020 23:10:51 +0000

octave-mapping (1.4.0-2) unstable; urgency=medium

  * d/control: Bump debhelper compatibitlity level to 13
  * d/u/metadata: Drop Name and Contact fields
  * d/control: Build-depend on octave-io >= 2.6.1-2 (Closes: #961334)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 28 May 2020 04:48:45 -0300

octave-mapping (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * d/control:
    + Build-depend on octave-io
    + Bump Standards-Version to 4.5.0 (no changes needed)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Tue, 14 Apr 2020 19:48:14 -0300

## octave-mapping 1.4.1

=== debian/changelog ===
octave-mapping (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * d/clean: Remove src/confdefs.h
  * d/octave-mapping.lintian-overrides: New file
  * d/p/str2angle-accept-degree-symbol.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 21 Oct 2020 12:38:32 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
-               libgdal-dev
-Standards-Version: 4.4.1
+               libgdal-dev,
+               octave-io (>= 2.6.1-2)
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/mapping/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-mapping.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-mapping

## octave-mapping 1.4.2

=== DESCRIPTION ===
Name: mapping
Version: 1.4.2
Date: 2022-02-20
Author: various authors
Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
Title: Mapping Functions
Description: Simple mapping and GIS .shp .dxf and raster file functions.
Categories: Mathematics
Depends: octave (>= 5.2.0), io (>= 2.2.7), geometry (>= 4.0.0)
Suggested: GDAL
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-mapping (1.4.2-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Avoid FTBFS on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 24 Feb 2022 07:08:34 +0000

octave-mapping (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * d/copyright: Reflect upstream changes
  * Set upstream metadata fields: Archive.
  * d/p/str2angle-accept-degree-symbol.patch:  Drop patch (applied upstream)
  * d/p/str2angle-xtest.patch: Drop patch.
    Ce patch was a workaround to avoid the blocking of the
    libgdal28→libgdal29 transition. It does not seem to be needed anymore.
  * d/control: Build-depend on pkg-config
  * d/rules: Set UTF-8 locale
    This is necessary for having the file inst/str2angle.m correctly
    parsed when exercising the unit tests.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 23 Feb 2022 22:02:09 -0300

octave-mapping (1.4.1-2ubuntu2) jammy; urgency=medium

  * Improve workaround for the ppc64el issue

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 22 Feb 2022 14:11:48 +0000

octave-mapping (1.4.1-2ubuntu1) jammy; urgency=medium

  * Avoid FTBFS on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 21 Feb 2022 18:23:02 +0000

octave-mapping (1.4.1-2build3) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 12:50:20 +0000

octave-mapping (1.4.1-2build2) jammy; urgency=medium

  * No-change rebuild against libgdal30

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:29:33 +0000

octave-mapping (1.4.1-2build1) jammy; urgency=medium

  * No-change rebuild against libgdal29

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 14:22:26 +0000

octave-mapping (1.4.1-2) unstable; urgency=medium

  * d/clean: Remove files left over by the building process
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/p/str2angle-xtest.patch: New patch (Closes: 992528)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 24 Aug 2021 06:44:25 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: octave-mapping
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
                libgdal-dev,
-               octave-io (>= 2.6.1-2)
-Standards-Version: 4.5.0
+               octave-io (>= 2.6.1-2),
+	       pkg-config
+Standards-Version: 4.6.0
 Homepage: https://octave.sourceforge.io/mapping/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-mapping.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-mapping

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL = C.UTF-8

%:
	dh $@ --buildsystem=octave --with=octave

## octave-mapping 1.4.3

=== doc/Makefile ===
## Makefile to simplify Octave Forge package maintenance tasks
##
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2015-2019 Mike Miller
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

MKOCTFILE ?= mkoctfile
OCTAVE    ?= octave
SED       := sed
SHA256SUM := sha256sum
TAR       := tar
MAKEINFO  ?= makeinfo
MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 

# work out a possible help generator
ifeq ($(strip $(QHELPGENERATOR)),)
  ifneq ($(shell qhelpgenerator-qt5 -v 2>/dev/null),)
    QHELPGENERATOR = qhelpgenerator-qt5
  else ifneq ($(shell qcollectiongenerator-qt5 -v 2>/dev/null),)
    QHELPGENERATOR = qcollectiongenerator-qt5
  #else ifneq ($(shell qhelpgenerator -qt5 -v 2>/dev/null),)
  # v4 doesnt work
  #  QHELPGENERATOR = qhelpgenerator -qt5
  else ifneq ($(shell qcollectiongenerator -qt5 -v 2>/dev/null),)
    QHELPGENERATOR = qcollectiongenerator -qt5
  else
    QHELPGENERATOR = true
  endif
endif

PACKAGE := $(shell $(SED) -n -e 's/^Name: *\(\w\+\)/\1/p' ../DESCRIPTION)
VERSION := $(shell $(SED) -n -e 's/^Version: *\(\w\+\)/\1/p' ../DESCRIPTION)
DATE := $(shell $(SED) -n -e 's/^Date: *\(\w\+\)/\1/p' ../DESCRIPTION)
DEPENDS := $(shell $(SED) -n -e 's/^Depends[^,]*, *\(.*\)/\1/p' ../DESCRIPTION | $(SED) 's/ *([^()]*)//g; s/ *, */ /g')

BASEDIR ?= $(realpath $(CURDIR))

HG           := hg
HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))

TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)

RELEASE_DIR     := $(PACKAGE)-$(VERSION)
RELEASE_TARBALL := $(PACKAGE)-$(VERSION).tar.gz
HTML_DIR        := $(PACKAGE)-html
HTML_TARBALL    := $(PACKAGE)-html.tar.gz

.PHONY: help dist html release install all check doctest run doc clean maintainer-clean
.PHONY: build-docs cleandocs

help:
	@echo "Targets:"
	@echo "   doc              - Build Texinfo package manual"
	@echo
	@echo "   clean            - Remove releases, html documentation, and oct files"
	@echo "   maintainer-clean - Additionally remove all generated files"

doc: build-docs

version.texi: $(BASEDIR)/../.hg/dirstate
	@echo Generating $@
	@echo "@c autogenerated from Makefile" > $@
	@echo "@set VERSION $(VERSION)" >> $@
	@echo "@set PACKAGE $(PACKAGE)" >> $@
	@echo "@set DATE $(DATE)" >> $@

functions.texi: $(BASEDIR)/../.hg/dirstate
	./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi

$(PACKAGE).qhc: $(PACKAGE).texi functions.texi version.texi
	# extract html
	SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(PACKAGE).css $(MAKEINFO_HTML_OPTIONS) $(PACKAGE).texi

ifeq ($(QHELPGENERATOR),true)
	$(warning No QHELPGENERATOR ... skipping QT doc build)
else
	# try also create qch file if can
	./mkqhcp.py $(PACKAGE) && $(QHELPGENERATOR) $(PACKAGE).qhcp -o $(PACKAGE).qhc
	$(RM) -f $(PACKAGE).qhcp $(PACKAGE).qhp $(PACKAGE).html
endif

$(PACKAGE).info: $(PACKAGE).texi functions.texi version.texi
	$(MAKEINFO) $(PACKAGE).texi

build-docs: $(PACKAGE).qhc  $(PACKAGE).info

clean-docs:
	$(RM) -f $(PACKAGE).html
	$(RM) -f $(PACKAGE).qhc
	$(RM) -f $(PACKAGE).qch
	$(RM) -f $(PACKAGE).info
	$(RM) -f functions.texi
	$(RM) -f version.texi

clean: clean-docs
	-rm -rf $(RELEASE_DIR) $(RELEASE_TARBALL) $(HTML_TARBALL) $(HTML_DIR)
	cd src && $(MAKE) $@

maintainer-clean: clean

=== debian/changelog ===
octave-mapping (1.4.3-2) unstable; urgency=medium

  * d/control:
    + Drop the versioned dependency on dh-octave. Relationship >= 1.2.3 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Drop the versioned dependency on octave-io. Relationship >= 2.6.1-2
      is satisfiable in oldoldstable, which has version 2.6.4-3.
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Tue, 14 Oct 2025 02:57:18 -0300

octave-mapping (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
  * d/p/add-distclean-target.patch: Drop patch (applied upstream)
  * d/copyright:
    + Reflect upstream changes
    + Update Source URL
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * d/control:
    + Update Homepage URL
    + Build-depend on pkgconf instead of the deprecated pkg-config package
    + Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 03 May 2025 05:26:00 -0300

octave-mapping (1.4.2-3) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector
  * d/copyright: Update Copyright years for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 07:48:57 -0300

octave-mapping (1.4.2-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Proper cleaning of files generated by the configure script
    + d/clean, d/s/options: Drop obsolete files
    + d/p/add-distclean-rule.patch: New patch
    + d/control: Build-depend on dh-octave >= 1.2.3

 -- Rafael Laboissière <rafael@debian.org>  Tue, 12 Jul 2022 11:45:07 -0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: octave-mapping
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-sequence-octave,
                libgdal-dev,
-               octave-io (>= 2.6.1-2),
-	       pkg-config
-Standards-Version: 4.6.0
-Homepage: https://octave.sourceforge.io/mapping/
+               octave-io,
+               pkgconf
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/mapping/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-mapping.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-mapping
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-mapping
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL = C.UTF-8

%:
	dh $@ --buildsystem=octave

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/mapping/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/mapping-@ANY_VERSION@@ARCHIVE_EXT@
